namespace YGOCollectionBackend.Data.Requests.ViewModel; 

/// <summary>
/// Request from a user to reset their password on the auth server.
/// </summary>
public class ResetPasswordVm {
    /// <summary>
    /// The token generated by the auth server to verify the user has the access to do so.
    /// </summary>
    public string Token { get; set; } = "";

    /// <summary>
    /// The password the user would like to have moving forward.
    /// </summary>
    public string NewPassword { get; set; } = "";

    /// <summary>
    /// The user's email.
    /// </summary>
    public string Email { get; set; } = "";

    /// <summary>
    /// The origin of the request to redirect back to.
    /// </summary>
    public string Origin { get; set; } = "https://ygo.lucinaravenwing.net";
}